summaryrefslogtreecommitdiff
path: root/test/5.6-lpr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/5.6-lpr.sh')
-rw-r--r--test/5.6-lpr.sh16
1 files changed, 7 insertions, 9 deletions
diff --git a/test/5.6-lpr.sh b/test/5.6-lpr.sh
index 72c757106..17646aa88 100644
--- a/test/5.6-lpr.sh
+++ b/test/5.6-lpr.sh
@@ -4,7 +4,7 @@
#
# Test the lpr command.
#
-# Copyright 2007-2009 by Apple Inc.
+# Copyright 2007-2011 by Apple Inc.
# Copyright 1997-2005 by Easy Software Products, all rights reserved.
#
# These coded instructions, statements, and computer programs are the
@@ -17,7 +17,7 @@
echo "LPR Default Test"
echo ""
echo " lpr testfile.pdf"
-../berkeley/lpr testfile.pdf 2>&1
+$VALGRIND ../berkeley/lpr testfile.pdf 2>&1
if test $? != 0; then
echo " FAILED"
exit 1
@@ -29,7 +29,7 @@ echo ""
echo "LPR Destination Test"
echo ""
echo " lpr -P Test2 testfile.jpg"
-../berkeley/lpr -P Test2 testfile.jpg 2>&1
+$VALGRIND ../berkeley/lpr -P Test2 testfile.jpg 2>&1
if test $? != 0; then
echo " FAILED"
exit 1
@@ -41,7 +41,7 @@ echo ""
echo "LPR Options Test"
echo ""
echo " lpr -P Test1 -o number-up=4 -o job-sheets=standard,none testfile.pdf"
-../berkeley/lpr -P Test1 -o number-up=4 -o job-sheets=standard,none testfile.pdf 2>&1
+$VALGRIND ../berkeley/lpr -P Test1 -o number-up=4 -o job-sheets=standard,none testfile.pdf 2>&1
if test $? != 0; then
echo " FAILED"
exit 1
@@ -56,16 +56,14 @@ echo " lpr -P Test1 testfile.jpg"
echo " lpr -P Test2 testfile.jpg"
i=0
while test $i -lt $1; do
- echo " flood copy $i..." 1>&2
-
j=1
while test $j -le $2; do
- ../berkeley/lpr -P test-$j testfile.jpg 2>&1
+ $VALGRIND ../berkeley/lpr -P test-$j testfile.jpg 2>&1
j=`expr $j + 1`
done
- ../berkeley/lpr -P Test1 testfile.jpg 2>&1 &
- ../berkeley/lpr -P Test2 testfile.jpg 2>&1 &
+ $VALGRIND ../berkeley/lpr -P Test1 testfile.jpg 2>&1 &
+ $VALGRIND ../berkeley/lpr -P Test2 testfile.jpg 2>&1 &
lprpid=$!
i=`expr $i + 1`